﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="motorsearchfilter.ascx.vb" Inherits="ASPNetPortal.motorsearchfilter" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc3" %>
<div id="motorsearchfilter" class="module">
    <div id="module_content">
        <% If HeaderVisible Then%>
            <% If HeaderVisible Then%>
    <div class="moduleTitle">
        <%=ModuleTitle%>
        <% If IsEditable Then%>
        <a href="<%=EditNavigateUrl %>" class="moduleTitleEdit"><%=EditText %></a>
        <% End If%>
    </div>
    <% End If%>
        <% End If%>    
        <div>

            <script type="text/javascript">
            function SearchFilter() {
                var year = document.getElementById('<%=ddlYears.ClientID%>');
                var mark = document.getElementById('<%=ddlMarks.ClientID%>');
                var model = document.getElementById('<%=ddlModels.ClientID%>');

                var url = window.location.href + '?';
            
                if (year != null) {
                    var yearId = year.options[year.selectedIndex].value;
                 //   url = url + 'YearId=' + yearId
                   url= UpdateQueryString('YearId', yearId, url);
                }

                if (mark != null) {
                    var markId = mark.options[mark.selectedIndex].value;
               //     url = url + '&MarkId=' + markId
                    url = UpdateQueryString('MotorMarkId', markId, url);
                }

                if (model != null) {
                    var modelId = model.options[model.selectedIndex].value;
                 //   url = url + '&ModelId=' + modelId
                    url = UpdateQueryString('ModelId', modelId, url);
                }
               
                url = url.replace("?&", "?");

                var querry = url.substring(url.indexOf("?"));

                document.location.href = '<%= publicItems.BaseUrl %>' + querry;

            }
                 
                function UpdateQueryString(key, value, url) {
                    if (!url) url = window.location.href;
                    var re = new RegExp("([?&])" + key + "=.*?(&|#|$)(.*)", "gi"),
                        hash;

                    if (re.test(url)) {
                        if (typeof value !== 'undefined' && value !== null)
                            return url.replace(re, '$1' + key + "=" + value + '$2$3');
                        else {
                            hash = url.split('#');
                            url = hash[0].replace(re, '$1$3').replace(/(&|\?)$/, '');
                            if (typeof hash[1] !== 'undefined' && hash[1] !== null)
                                url += '#' + hash[1];
                            return url;
                        }
                    }
                    else {
                        if (typeof value !== 'undefined' && value !== null) {
                            var separator = url.indexOf('?') !== -1 ? '&' : '?';
                            hash = url.split('#');
                            url = hash[0] + separator + key + '=' + value;
                            if (typeof hash[1] !== 'undefined' && hash[1] !== null)
                                url += '#' + hash[1];
                            return url;
                        }
                        else
                            return url;
                    }
                }

        </script>

            <asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Always">
				<ContentTemplate>

                     <cc3:CascadingDropDown ID="CascadingDropDown1" runat="server" TargetControlID="ddlYears"
            Category="YearId" PromptText="-Yıl Seçiniz-" ServicePath="/services/motorbike.asmx" ServiceMethod="GetYears" />

        <cc3:CascadingDropDown ID="CascadingDropDown2" runat="server" TargetControlID="ddlMarks"
            ParentControlID="ddlYears" Category="MarkId" PromptText="-Marka Seçiniz-" ServicePath="/services/motorbike.asmx"
            ServiceMethod="GetMarks" />

        <cc3:CascadingDropDown ID="CascadingDropDown3" runat="server" TargetControlID="ddlModels"
            ParentControlID="ddlMarks" Category="ModelId" PromptValue="0" PromptText="-Model Seçiniz-" ServicePath="/services/motorbike.asmx"
            ServiceMethod="GetModels" />
     
     
                    <table cellpadding="5" cellspacing="0" border="0">
                <tr>
                    <td>Yıl :
                        <asp:DropDownList runat="server"  CssClass="select" ID="ddlYears"></asp:DropDownList></td>
                    <td>Marka :
                        <asp:DropDownList runat="server" CssClass="select" ID="ddlMarks"></asp:DropDownList></td>
                    <td>Model :
                        <asp:DropDownList runat="server" CssClass="select" ID="ddlModels"></asp:DropDownList></td>   
                    <td>
                        <input type="button" name="btn" onclick="SearchFilter()" value="ARA" />
                    </td>                 
                </tr>
            </table>
					 
				 
				</ContentTemplate>				 
			</asp:UpdatePanel>

        </div>
    </div>
</div>
